/*
 *   Copyright 2012 Brian Rosenberger (Brutex Network)
 *
 *   Licensed under the Apache License, Version 2.0 (the "License");
 *   you may not use this file except in compliance with the License.
 *   You may obtain a copy of the License at
 *
 *       http://www.apache.org/licenses/LICENSE-2.0
 *
 *   Unless required by applicable law or agreed to in writing, software
 *   distributed under the License is distributed on an "AS IS" BASIS,
 *   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *   See the License for the specific language governing permissions and
 *   limitations under the License.
 */

package net.brutex.xservices.types;

import javax.xml.bind.annotation.XmlElement;

/**
 * @author Brian Rosenberger, bru(at)brutex.de
 *
 */

public class RuntimeInfoType
{
  private final Runtime runtime = Runtime.getRuntime();

  @XmlElement
  public int getAvailableProcessors() {
    return this.runtime.availableProcessors();
  }

  @XmlElement
  public long getFreeMemory() {
    return this.runtime.freeMemory();
  }

  @XmlElement
  public long getFreeMemoryMB() {
    return this.runtime.freeMemory() / 1024L;
  }

  @XmlElement
  public long getMaxMemory() {
    return this.runtime.maxMemory();
  }

  @XmlElement
  public long getMaxMemoryMB() {
    return this.runtime.maxMemory() / 1024L;
  }

  @XmlElement
  public long getTotalMemory() {
    return this.runtime.totalMemory();
  }

  @XmlElement
  public long getTotalMemoryMB() {
    return this.runtime.totalMemory() / 1024L;
  }
}
